curl -X GET https://api.mintlify.com/v1/project/update-status/6501a2b3c4d5e6f7g8h9i0j1 \
-H "Authorization: Bearer mint_your_api_key_here"
{
"_id": "6501a2b3c4d5e6f7g8h9i0j1",
"projectId": "your_project_id",
"status": "success",
"summary": "Build completed successfully",
"createdAt": "2024-03-15T10:30:00.000Z",
"endedAt": "2024-03-15T10:32:45.000Z",
"logs": [
"Starting build process...",
"Installing dependencies...",
"Building documentation...",
"Deployment successful"
],
"subdomain": "your-docs",
"author": "github-user",
"commit": {
"sha": "abc123def456",
"ref": "main",
"message": "Update documentation",
"filesChanged": {
"added": ["new-page.mdx"],
"modified": ["introduction.mdx"],
"removed": []
}
},
"source": "api"
}
Get the status of an update from the status ID
curl -X GET https://api.mintlify.com/v1/project/update-status/6501a2b3c4d5e6f7g8h9i0j1 \
-H "Authorization: Bearer mint_your_api_key_here"
{
"_id": "6501a2b3c4d5e6f7g8h9i0j1",
"projectId": "your_project_id",
"status": "success",
"summary": "Build completed successfully",
"createdAt": "2024-03-15T10:30:00.000Z",
"endedAt": "2024-03-15T10:32:45.000Z",
"logs": [
"Starting build process...",
"Installing dependencies...",
"Building documentation...",
"Deployment successful"
],
"subdomain": "your-docs",
"author": "github-user",
"commit": {
"sha": "abc123def456",
"ref": "main",
"message": "Update documentation",
"filesChanged": {
"added": ["new-page.mdx"],
"modified": ["introduction.mdx"],
"removed": []
}
},
"source": "api"
}
Get the status of an update from the status ID returned by the Trigger update endpoint.Documentation Index
Fetch the complete documentation index at: https://mintlify.com/Mintlify/docs/llms.txt
Use this file to discover all available pages before exploring further.
mint_). Generate one on the API keys page in your dashboard.
queued, in_progress, success, failure.internal, github-app-installation, api, github, dashboard.curl -X GET https://api.mintlify.com/v1/project/update-status/6501a2b3c4d5e6f7g8h9i0j1 \
-H "Authorization: Bearer mint_your_api_key_here"
{
"_id": "6501a2b3c4d5e6f7g8h9i0j1",
"projectId": "your_project_id",
"status": "success",
"summary": "Build completed successfully",
"createdAt": "2024-03-15T10:30:00.000Z",
"endedAt": "2024-03-15T10:32:45.000Z",
"logs": [
"Starting build process...",
"Installing dependencies...",
"Building documentation...",
"Deployment successful"
],
"subdomain": "your-docs",
"author": "github-user",
"commit": {
"sha": "abc123def456",
"ref": "main",
"message": "Update documentation",
"filesChanged": {
"added": ["new-page.mdx"],
"modified": ["introduction.mdx"],
"removed": []
}
},
"source": "api"
}